{*
* 2019-2021 GARWEN
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to contact@garwen.fr so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.garwen.fr for more information.
*
*  @author    Garwen <contact@garwen.fr>
*  @copyright 2019-2021 Garwen
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of Garwen
*}

<div class="panel">
    <div class="row moduleconfig-header">
        <div class="col-xs-5 text-right">
            <img src="{$module_dir|escape:'html':'UTF-8'}views/img/logo.jpg"/>
        </div>
        <div class="col-xs-7 text-left">
            <h2>{l s='Garwen' mod='garwen'}</h2>
            <h4>{l s='Donnez plus de visibilité et de valeur à vos produits' mod='garwen'}</h4>
        </div>
    </div>
    <hr/>
    <div class="moduleconfig-content">
        <div class="row">
            {if isset($confirmation)}
                {if 'token_missing' === $confirmation}
                    <div class="alert alert-danger">
                        {l s='Pour activer Garwen, vous devez aussi incrire la clé d\'authentification. Pour cela rendez vous à cette adresse : ' mod='garwen'}
                        <a href="https://app.garwen.fr/store/api/connect">https://app.garwen.fr/store/api/connect</a>
                    </div>
                {elseif 'Unauthenticated.' === $confirmation}
                    <div class="alert alert-danger">
                        {l s='Garwen n\'a pas reconnu votre clé d\'authentification. Veuillez recopier la clé depuis Garwen vers le module Prestashop et réessayer.' mod='garwen'}<br />
                        {l s='Vous pouvez aussi regénérer la clé d\'authentification depuis votre espace Garwen.' mod='garwen'}<br />
                    </div>
                {elseif '404' === $confirmation}
                    <div class="alert alert-danger">
                        {l s='Erreur de connexion à Garwen, veuillez réessayer de nouveau ultérieurement.' mod='garwen'}<br />
                    </div>
                {elseif 'ok' === $confirmation}
                    <div class="alert alert-success">
                        {l s='Votre compte ' mod='garwen'} "{$name|escape:'htmlall':'UTF-8'}" {l s=' de la plateforme Garwen a bien été relié à votre boutique Prestashop.' mod='garwen' } <br />
                    </div>
                {/if}
            {/if}
            <form method="post" action="" class="defaultForm form-horizontal">
                <div class="panel">
                    <div class="panel-heading">
                        <i class="icon-cogs"></i> {l s='Configuration de la connexion avec votre compte professionnel Garwen.' mod='garwen'}
                    </div>
                    <div class="form-wrapper">
                        <div class="form-group">
                            <label class="control-label col-lg-3">
                                {l s='Intégrer la clé d\'authentification de l\'API' mod='garwen'}
                            </label>
                            <div class="col-lg-3">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                      <i class="icon icon-key"></i>
                                    </span>
                                    <input type="text" name="GARWEN_TOKEN_API" id="GARWEN_TOKEN_API" class="form-control" value="{$GARWEN_TOKEN_API|escape:'htmlall':'UTF-8'}"/>
                                </div>
                                <small> {l s='Pour générer la clé d\'authentification, cliquez sur ce lien :' mod='garwen'}
                                     <a href="https://app.garwen.fr/store/api/connect">https://app.garwen.fr/store/api/connect</a></small>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-lg-3">
                                {l s='Activer l\'envoi automatique des factures auprès des clients' mod='garwen'}
                            </label>
                            <div class="col-lg-9">
                                <span class="switch prestashop-switch fixed-width-lg">
                                    <input type="radio" name="GARWEN_SEND_INVOICE_AUTO" id="GARWEN_SEND_INVOICE_AUTO_ON" value="1"
                                           {if $GARWEN_SEND_INVOICE_AUTO eq '1'}checked{/if} />
                                    <label for="GARWEN_SEND_INVOICE_AUTO_ON">{l s='Oui' mod='garwen'}</label>
                                    <input type="radio" name="GARWEN_SEND_INVOICE_AUTO" id="GARWEN_SEND_INVOICE_AUTO_OFF" value="0"
                                           {if $GARWEN_SEND_INVOICE_AUTO ne '1'}checked{/if} >
                                    <label for="GARWEN_SEND_INVOICE_AUTO_OFF">{l s='Non' mod='garwen'}</label>
                                    <a class="slide-button btn"></a>
                                </span>

                                <p class="help-block">
                                    {l s='Activer ou non la transmission d\'information à travers Garwen' mod='garwen'}
                                </p>

                            </div>
                        </div>
                    </div>

                    <div class="panel-footer">
                        <button class="btn btn-default pull-right" name="submit_garwen_api_form" value="1"
                                type="submit">
                            <i class="process-icon-save"></i> {l s='Enregistrer' mod='garwen'}
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
